<?
session_start();
$selelag = $HTTP_SESSION_VARS["SelLanguage"];
if (empty($selelag)) header("location:../break.php");
require("../config/".$selelag);
require("../_ConnectString.php");       //--連接參數設定值
require("../_function.php");
//require("../top/top.php");
require("../_image.php");
require("../_search/_ftp_search.php");
require("../_search/_datamining.php");
require("../_read_source/_ipcontrol.php");
require("../_read_source/_ftp.php");
require_once("../cd_pos.php");

$_SearchPath = "../_search/ftp_search_list.php";
$_Pass_Path="../config_file/ftp_pass";

if ((isset($HTTP_SESSION_VARS["LoginID_Sess"])) && (isset($HTTP_SESSION_VARS["OperateRole_Sess"])) && (isset($HTTP_SESSION_VARS["GroupNo_Sess"]))){
	
	if(strlen($HTTP_SERVER_VARS["QUERY_STRING"])>0){
		$QUERY_IP			= $HTTP_GET_VARS["QUERY_IP"];     //--HOST IP
	}else{
		$QUERY_IP			= $HTTP_POST_VARS["QUERY_IP"];     //--HOST IP
	}

	$QUERY_START_DATETIME	= $HTTP_POST_VARS["QUERY_START_DATETIME"];  
	$QUERY_END_DATETIME		= $HTTP_POST_VARS["QUERY_END_DATETIME"];

	$QUERY_NAME		= $HTTP_POST_VARS["QUERY_NAME"];
	$QUERY_USER		= $HTTP_POST_VARS["QUERY_USER"];  
	$QUERY_DIR		= $HTTP_POST_VARS["QUERY_DIR"];  
	$QUERY_SITE		= $HTTP_POST_VARS["QUERY_SITE"];
	$QUERY_ORGNAME  = $HTTP_POST_VARS["QUERY_ORGNAME"];
	$QUERY_ID	    = $HTTP_POST_VARS["QUERY_ID"];
	$QUERY_IP_1		= $HTTP_POST_VARS["QUERY_IP_1"];
	$QUERY_ACCOUNT  = $HTTP_POST_VARS["QUERY_ACCOUNT"];
	$sizepage      = $HTTP_POST_VARS["sizepage"];       //--每頁筆數
	$RunAs         = $HTTP_POST_VARS["RunAs"];			//--刪除 或 忽略
	$Checked       = $HTTP_POST_VARS["Checked"];
	$SortField     = $HTTP_POST_VARS["SortField"];      //--排序欄位
	$SortType      = $HTTP_POST_VARS["SortType"];       //--排序方式
	$Ip_Name       = $HTTP_POST_VARS["Ip_Name"];        //--顥示的模式
	$PassFlag      = $HTTP_POST_VARS["PassFlag"];
	$strWhere	   = $HTTP_POST_VARS["strWhere"];		//--search all
	$FTP		   = $HTTP_POST_VARS['FTP'];			//--全文檢索 -auto 值
	$mime		   = $HTTP_POST_VARS['mime'];			//--全文檢索 flag
	$digital	   = $HTTP_POST_VARS['digital'];	    //--數位資產 flag
	$to_page	   = $HTTP_POST_VARS['to_page']; 
	
	//相關變數初始化 
	if (!isset($to_page) || empty($to_page)){
		$to_page = 1;
	}
	if (!isset($sizepage) || empty($sizepage)){
		$sizepage = $HTTP_SESSION_VARS["size_page"];
	}
	if (empty($Ip_Name))  $Ip_Name = '_IP';
	$ErrorMsg = "";
	$_Disabled = "";
	//$bgcolorCol = "bgcolor=\"#A0C6E5\"";

	
	//--判斷點選那一個顯示模式
	switch ($Ip_Name){
		case "_IP":
			$chk_IP = "checked";
			break;
		case "_NAME":
			$chk_NAME = "checked";
			break;
	}

	//--畫面設定排序時使用
	if ($SortField == "") $SortField = $DB_FTP_AUTO;
	include($_SORT_PATH);
	
	//判斷每頁秀的資料筆數
	if ($RunAs == 'UpdatePageSize'){
		if ($sizepage){ 
			$HTTP_SESSION_VARS["size_page"] = $sizepage;
		}//End : if()
	}//End : if(判斷每頁秀的資料筆數)

	
	//--刪除資料
	if($RunAs == "Delete"){
		$flag = 0;
		for($i=0; $i<count($chkbox); $i++){
			$strSQL = "Select * From ".$DB_FTP." where ".$DB_FTP_AUTO."='".$chkbox[$i]."'";
			$intSQL = mysql_query($strSQL);
			$rowSQL = mysql_fetch_array($intSQL);
			$DelFilePath = $DATAS_PATH_FTP.$rowSQL[$DB_FTP_DBTAG]."/".$rowSQL[$DB_FTP_DBNAME];

			if (file_exists($DelFilePath)){
				system("echo rm -f $DelFilePath  >> /tmp/dc.cmd");
			}

			$strDEL = "Delete From ".$DB_FTP." where ".$DB_FTP_AUTO."='".$chkbox[$i]."'";
			$intDEL = mysql_query($strDEL);
			if (!$intDEL) $flag = 1;
		}

		if ($flag){
			$ErrorMsg = $FTPM_DELFAIL;
		}
		else{
			mysql_query("OPTIMIZE TABLE FTP");
			$ErrorMsg = $FTPM_DELSUCCESS;
		}
	}

//--決定密碼顯示與否
if ($RunAs == "PassShowHide"){
	$fp = fopen($_Pass_Path,"w+");

	if($PassFlag == 1){
		fputs($fp,"Pass Hide");
	}
	elseif ($PassFlag == 0){
		fputs($fp,"Pass Show");
	}
	fclose($fp);
}

    
	//--判斷檔案是否存在，不存在新增
	$fpEXIXT = file_exists($_Pass_Path);
	if ($fpEXIXT != true){
		$fp = fopen($_Pass_Path,"w+");
		fputs($fp,"Pass Show");
		fclose($fp);
	}

	$fp = file($_Pass_Path);
	if ($fp[0] == "Pass Show") {
		$ftpPWSHOW_1 = $FTP_SHOWPASS_SHOW;
		$ftpPWSHOW = $FTP_SHOWPASS;
		$PassFlag = 1;
	}elseif ($fp[0] == "Pass Hide"){
		$ftpPWSHOW_1 = $FTP_HIDEPASS_SHOW;
		$ftpPWSHOW = $FTP_HIDEPASS;
		$PassFlag = 0;
	}

	//-- System super user(PROGRAM ENTRY PLACE)
	$strSQL = "Select count(0) From ".$DB_FTP;
	if ($mime == 1)
	{
		$strSQL = $strSQL." Where ".$DB_FTP_AUTO." in (".$FTP.")";
	}
	else{
		if(fn_NotShowIP()!="''")$strSQL = $strSQL." Where ".$DB_FTP_IP." not in (".fn_NotShowIP().")";
		else $strSQL = $strSQL." Where 1=1 ";
		if ($HTTP_SESSION_VARS['GroupNo_Sess']!=0){
			$strSQL = $strSQL." and ".$DB_FTP_IP." in (".fn_IPcontrol($HTTP_SESSION_VARS['GroupNo_Sess']).")";
		}
		if($strWhere["FTP"] != "") $strSQL = $strSQL.stripcslashes($strWhere["FTP"]);
	}
	$condition = fn_searchFtp($QUERY_START_DATETIME,$QUERY_END_DATETIME,$QUERY_IP,$QUERY_IP_1,$QUERY_DIR,$QUERY_USER,$QUERY_SITE,$QUERY_ORGNAME,$QUERY_ID,$QUERY_ACCOUNT);
	$strSQL = $strSQL.$condition;
   //print $strSQL;
   //計算符合文章總數 & 初始化分頁變數
   include($_PAGE_PATH);
   
   //為了畫面排序的sql語法
	$strSQL = "Select ".$DB_FTP_AUTO.",".$DB_FTP_DATETIME.",".$DB_FTP_IP.",".$DB_FTP_MAC.",".$DB_FTP_USER.",".$DB_FTP_PASS.",".$DB_FTP_DIR.",".$DB_FTP_SITE.",".$DB_FTP_ACCOUNT.",".$DB_FTP_DBTAG.",".$DB_FTP_DBNAME.",".$DB_FTP_ORGNAME;
	$strSQL = $strSQL."	From ".$DB_FTP;
	if ($mime == 1)
	{
		$strSQL = $strSQL.fn_Datamining($FTP,$DB_FTP_AUTO,$m,$n,$to_page);
		$m = 0;
	}
	else{
		if(fn_NotShowIP()!="''")$strSQL = $strSQL." Where ".$DB_FTP_IP." not in (".fn_NotShowIP().")";
		else $strSQL = $strSQL." Where 1=1 ";
		if ($HTTP_SESSION_VARS['GroupNo_Sess']!=0){
			$strSQL = $strSQL." and ".$DB_FTP_IP." in (".fn_IPcontrol($HTTP_SESSION_VARS['GroupNo_Sess']).")";
		}
		if($strWhere["FTP"] != "") $strSQL = $strSQL.stripcslashes($strWhere["FTP"]);
	}
	$strSQL = $strSQL.$condition;
    $strSQL = $strSQL." Order by ".$SortField." ".$SortType." limit ".$m.", ".$n;
//print $strSQL;
   // print $strSQL."<BR>";
    $intResult = mysql_query($strSQL);
	
	//<--組show畫面字串
	if (mysql_num_rows($intResult) == 0){
		$FTPList = "<tr class=\"NoData\"><td colspan=\"";
		if (($HTTP_SESSION_VARS["OperateRole_Sess"]=="Super")&&($HTTP_SESSION_VARS["GroupNo_Sess"]=='0')){
			if(fn_ad()) $FTPList = $FTPList."10"; else $FTPList = $FTPList."9";
		}else{
			if(fn_ad()) $FTPList = $FTPList."9"; else $FTPList = $FTPList."8";
		}
		include("../no_data.php");
		$FTPList = $FTPList."\"".$NoDataList;
		$_Disabled = "disabled";
	}
	else{
		$FTPList = "";
		$chkCount = ($to_page-1)*$sizepage+1; 
		while ($row=mysql_fetch_array($intResult)){
			if ($chkCount%2 == 1){
				$FTPList = $FTPList."<tr  align=\"center\" class=\"Tr_Do\" onmouseover=\"this.className='Tr_Do_Out'\" onmouseout=\"this.className='Tr_Do_Over'\">";
			}else{
				$FTPList = $FTPList."<tr  align=\"center\" class=\"Tr_De\" onmouseover=\"this.className='Tr_De_Out'\" onmouseout=\"this.className='Tr_De_Over'\">";
			}

			$FTPList = $FTPList."<td align=\"center\" title=\"".$row[_AUTO]."\">".$chkCount.".</td>\n";

			//--datetime 
			$FTPList = $FTPList."<td align=\"center\"><a href=\"#\" onClick=\"ChangeCondition('_DATETIME','".$row[$DB_FTP_DATETIME]."')\">".fn_DateTime($row[$DB_FTP_DATETIME])."</a></td>\n";

			switch ($Ip_Name){
			case "_IP":
				$FTPList = $FTPList."<td align=\"center\"><a href=\"#\" onClick=\"ChangeCondition('_IP','".$row[$DB_FTP_IP]."');\"><p title=\"".$row[$DB_FTP_MAC]."\">".$row[$DB_FTP_IP]."</p></a></td>\n";
				break;
			case "_NAME":
				$SQL = "Select * From ".$DB_IPCONTROL." Where ".$DB_IPCONTROL_IP." = '".$row[$DB_FTP_IP]."'";
			    $Result = mysql_query($SQL);
				//print $SQL;
                if (mysql_num_rows($Result)>0){
					$row_sub = mysql_fetch_array($Result);
					$row_username = $row_sub[$DB_IPCONTROL_USERNAME];
					$FTPList = $FTPList."<td align=\"center\"><p title=\"".$row[$DB_FTP_MAC]."\"><a href=\"#\" onClick=\"ChangeCondition('_IP','".$row[$DB_FTP_IP]."');\">";
					if ($row_sub[$DB_IPCONTROL_USERNAME] != '***') $FTPList = $FTPList.$row_sub[$DB_IPCONTROL_USERNAME]; else $FTPList = $FTPList.$row[$DB_FTP_IP];
					$FTPList = $FTPList."</a></p></td>";
				}
				else{
					$FTPList = $FTPList."<td align=\"center\"><p title=\"".$row[$DB_FTP_MAC]."\"><a href=\"#\" onClick=\"ChangeCondition('_IP','".$row[$DB_FTP_IP]."');\">".$row[$DB_FTP_IP]."</a></p></td>";
				}
				break;
			}
			
			//--USER
			$FTPList = $FTPList."<td align=\"center\"><a href=\"#\" onClick=\"ChangeCondition('_USER','".$row[$DB_FTP_USER]."');\">".$row[$DB_FTP_USER]."</a></td>\n";

			//--PASS
			$FTPList = $FTPList."<td align=\"center\">";
			if($PassFlag == 0) $FTPList = $FTPList.$row[$DB_FTP_PASS]; else $FTPList = $FTPList."******";
			$FTPList = $FTPList."</td>\n";

			//--Acttion(1-upload 0-download)
			$FTPList = $FTPList."<td align=\"center\" ><a href=\"#\" onClick=\"ChangeCondition('_DIR','".$row[$DB_FTP_DIR]."');\">";
			if ($row[$DB_FTP_DIR] == 1) $FTPList = $FTPList.$FTP_UPLOAD_SHOW; 
			else $FTPList = $FTPList.$FTP_DOWNLOAD_SHOW;
			$FTPList = $FTPList."</a></td>\n";

			//--Ftp sever IP
			$FTPList = $FTPList."<td align=\"center\"><a href=\"#\" onClick=\"ChangeCondition('_SITE','".$row[$DB_FTP_SITE]."');\">".$row[$DB_FTP_SITE]."</a></td>\n";

			if (fn_ad()){
				$FTPList = $FTPList."<td align=\"center\"><a href=\"#\" onClick=\"ChangeCondition('_ACCOUNT','".$row[$DB_FTP_ACCOUNT]."')\">".$row[$DB_FTP_ACCOUNT]."</a></td>\n";
            }			
			//--ORGNAME
			if (strlen($row[$DB_FTP_ORGNAME])>36){    
				$CUT_FILE=substr($row[$DB_FTP_ORGNAME],0,36)."..."; 
			}
			else {
				$CUT_FILE = $row[$DB_FTP_ORGNAME];
			}//End : if()

			//File Name
			$FTPList = $FTPList."<td>";
			if (($row[$DB_FTP_DBTAG] !='')&&($row[$DB_FTP_DBNAME]!='')){
				//--轉換 DBTAG 的格式
				$_DBTAG ='';
				$_DBTAG =str_replace("-","_",$row[$DB_FTP_DBTAG]);
				$_DBTAG =str_replace(":","_",$_DBTAG);
				if (file_exists($CD_DIR.":\\".$_DBTAG."\\".$row[$DB_FTP_DBNAME])){
					$FTPList = $FTPList."<a href=\"../download.php?file=".$CD_DIR.":\\".$_DBTAG."/".$row[$DB_FTP_DBNAME]."\" target=\"_blank\" class=\"A_U\" title=\"".$row[$DB_FTP_ORGNAME]."\">".($row[$DB_FTP_ORGNAME]=='' ? "no file name" : $CUT_FILE)."</a>";	
				}
				else{
					$FTPList = $FTPList."<span title=\"".$row[$DB_FTP_ORGNAME]."\">".($row[$DB_FTP_ORGNAME]==''?"no file name":$CUT_FILE)."</span>";
				}
			}
			else{
				$FTPList = $FTPList.$row[$DB_FTP_ORGNAME];
			}
			$FTPList = $FTPList."</td>\n";
			
			$FTPList = $FTPList."</tr>";
			$chkCount++;
		}//End : while(組show畫面字串)
	}
}
else{
	include("../no_privilege.php");
}
?>
<html><head><title></title>
<link href="../Display/display.css" type="text/css" rel="stylesheet">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<SCRIPT language=JavaScript src="../inc/fun.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
//--Check input pagesize num	
function ChangePageSize(){
	var flag = "";
	switch(CheckNum(document.frm.sizepage)){
		case "1":
			alert("<?echo $NUMBERM_INPUTISNULL;?>");
			flag = "1";
		break;
		case "2":
			alert("<?echo $NUMBERM_INPUTISZERO;?>");
			flag = "1";
		break;
		case "3":
			alert("<?echo $NUMBERM_INPUTBIG100;?>");
			flag = "1";
		break;
		case "4":
			alert("<?echo $NUMBERM_INPUTNOTNUM;?>");
			flag = "1";
		break;
	}
	
	if (flag == 1){
		document.frm.sizepage.focus();
		return;
	}
	document.frm.RunAs.value = "UpdatePageSize";
	document.frm.submit();
}

function fn_ShowOrHide(){
	document.frm.RunAs.value = "PassShowHide";
	document.frm.submit();
}

//--DELETE DATA
function checkDEL(){
<?if ($_Disabled == ""){?>
	if (!MainCheck()){
		alert("<?echo $FTPM_NOTSELECT;?>");
		return;
	}

	if (confirm("<?echo $FTPM_CHECKDEL;?>")){
		document.frm.RunAs.value = "Delete";
		document.frm.submit();
	}
<?}?>
}

<?if ($ErrorMsg != ""){?>
	fn_ErrorMsg('<?echo $ErrorMsg?>')
<?}?>
</SCRIPT>
</head>
<body onLoad="fix();" onScroll="fix();" onResize="fix();">   
<!-- search result-->
<form name="frm" action="ftp.php" method="post">
<input type="hidden" name="strWhere[FTP]" value="<?echo stripcslashes($strWhere["FTP"]);?>">
<input type="hidden" name="RunAs" value="">
<input type="hidden" name="SortField" value="<? echo $SortField ?>"><!--sort column-->
<input type="hidden" name="SortType" value="<? echo  $SortType ?>"><!--sort type-->
<input type="hidden" name="Checked" value="<? echo $Checked?>"><!--set checkbox checked or no-->
<input type="hidden" name="QUERY_START_DATETIME" value="<?echo $QUERY_START_DATETIME;?>">
<input type="hidden" name="QUERY_END_DATETIME" value="<?echo $QUERY_END_DATETIME;?>">
<input type="hidden" name="QUERY_ORGNAME" value="<?echo ($QUERY_ORGNAME);?>">
<input type="hidden" name="QUERY_SITE" value="<?echo ($QUERY_SITE);?>">
<input type="hidden" name="QUERY_USER" value="<?echo ($QUERY_USER);?>">
<input type="hidden" name="QUERY_DIR" value="<?echo $QUERY_DIR;?>">
<input type="hidden" name="QUERY_NAME" value="<?echo $QUERY_NAME;?>">
<input type="hidden" name="QUERY_IP" value="<?echo $QUERY_IP;?>">
<input type="hidden" name="QUERY_IP_1" value="<?echo $QUERY_IP_1;?>">
<input type="hidden" name="QUERY_ACCOUNT" value="<?echo $QUERY_ACCOUNT;?>">
<input type="hidden" name="PassFlag" value="<?echo $PassFlag;?>">
<input type="hidden" name="to_page" value="<?echo $to_page;?>"><!--current page-->
<input type="hidden" name="mime" value="<?echo $mime;?>">
<input type="hidden" name="FTP" value="<?echo $FTP;?>">
<input type="hidden" name="digital" value="<?echo $digital;?>">

<span id="bar" style="position:absolute;z-index:2;  width:100%; height:100%" align="center">
<table width="100%" cellSpacing="0" cellPadding="0" border="0">
  <tr id="Tr_F">
    <td>
	  &nbsp;&nbsp;<a href="ftp.php"  title="<?echo $FTP_FTP;?>"><img src="../<?echo $DIR_IMAGE.$FTPP_FTP;?>" border="0"> <?echo $FTP_FTP_SHOW;?></a> | 
      <?if (($HTTP_SESSION_VARS["OperateRole_Sess"]=="Super")&&($HTTP_SESSION_VARS["GroupNo_Sess"]=='0')){?>
		<!-- Delete -->			
		   <a href="javascript:fn_ShowOrHide();"  title="<?echo $ftpPWSHOW;?>"><img src="../<?echo $DIR_IMAGE.$FTPP_SHOWHIDE;?>" border="0" align="top"> <?echo $ftpPWSHOW_1;?></a> | 
	<?}?>
	  <a href="javascript:fn_OpenWin('<?echo $_SearchPath;?>?digital=<?echo $digital;?>','NewWin','width=420,height=370,left=320,top=200,menubar=no,toolbar=no,location=no,directories=no,scrollbars=yes,status=no,resizable=yes,fullscreen=no');"  title="<?echo $FTP_SEARCH;?>"><img src="../<?echo $DIR_IMAGE.$FTPP_SEARCH;?>" border="0"> <?echo $FTP_SEARCH_SHOW;?></a>
	</td>
	<td align="right">
	  <span class="ShowMode" title="<?echo $FTP_SHOWMODE;?>"><?echo $FTP_SHOWMODE_SHOW;?> : </span>
	  <input type="radio" name="Ip_Name" value="_IP" <? echo $chk_IP;?> onclick="document.frm.submit();">
	  <span title="<?echo $FTP_IP;?>"><?echo $FTP_IP_SHOW;?></span>
	  <input type="radio" name="Ip_Name" value="_NAME" <?echo $chk_NAME;?> onclick="document.frm.submit();">
	  <span title="<?echo $FTP_NAME;?>"><?echo $FTP_NAME_SHOW;?></span> | 
	  <span class="EveryPage" title="<?echo $FTP_PAGEVIEW;?>"><?echo $FTP_PAGEVIEW_SHOW;?> : </span>
	  <input type="text" size="1" name="sizepage" value="<?echo $sizepage?>" class="Text_P">
	  <input type="button" name="bntPageSize" value="<?echo $FTPB_OK_SHOW;?>" onClick="ChangePageSize();" class="Btn_C" title="<?echo $FTPB_OK;?>">&nbsp;</span>
	</td>
  </tr>
</table>
<!--  blank TABLE-->
<table width="100%" class="BlankTb">
	<tr  height="24">
		<td ></td>
	</tr>
</table>

<table class="TitleTb">
  <tr id="Tr_T">
    <td width="3%"><span title="<?echo $FTP_NO;?>"><?echo $FTP_NO_SHOW;?></span></td>
    <td width="10%" <?echo $colDate;?>>
	  <a href="javascript:ChangeSort('_DATETIME','<? echo $sortDate;?>');"  title="<?echo $FTP_DATETIME?>"><?echo $FTP_DATETIME_SHOW?><?echo $imgDate;?></a>
	</td>

	<td width="13%" 
	  <? if ($Ip_Name == '_IP'){?>
	    <?echo $colIP;?>>
		<a href="javascript:ChangeSort('_IP','<?echo $sortIP;?>');"  title="<?echo $FTP_IP;?>"><?echo $FTP_IP_SHOW;?><? echo $imgIP;?></a>
	  <?}elseif ($Ip_Name == '_NAME'){
		echo $colNAME.">"."<span title=\"".$FTP_NAME."\">".$FTP_NAME_SHOW."</span>";
	  }?>
	</td>

    <td width="12%" <?echo $colUser;?>>
	  <a href="javascript:ChangeSort('_USER','<?echo $sortUser;?>');"  title="<?echo $FTP_USER;?>"><? echo $imgUser;?><?echo $FTP_USER_SHOW;?></a>
	</td>
	<td width="12%"><span title="<?echo $FTP_PASS;?>"><?echo $FTP_PASS_SHOW;?></span></td>
	<td width="8%" <?echo $colDIR;?>>
	  <a href="javascript:ChangeSort('_DIR','<?echo $sortDir;?>');"  title="<?echo $FTP_ACTION;?>"><? echo $imgDir;?><?echo $FTP_ACTION_SHOW;?></a>
	</td>
    <td width="15%" <?echo $colSite;?>>
	  <a href="javascript:ChangeSort('_SITE','<? echo $sortSite;?>');"  title="<?echo $FTP_SERVERIP;?>"><? echo $imgSite;?><?echo $FTP_SERVERIP_SHOW;?></a>
	</td>
    <? if (fn_ad()){?>
		<td width="8%" <?echo $colAccount;?>>
			<a href="javascript:ChangeSort('_ACCOUNT', '<?echo $sortAccount;?>');"  title="<?echo $FTP_ACCOUNT;?>"><?echo $FTP_ACCOUNT_SHOW;?><?echo $imgAccount;?>
		</td>
	<?}?>
	<td><span title="<?echo $FTP_FILENAME;?>"><?echo $FTP_FILENAME_SHOW;?></span></td>
  </tr>
  </table>
</span>

<!-- 空白表格 調整位置 //Start-->
<table width="100%" cellSpacing="0" cellPadding="0" border="0">
  <tr  id="Tr_F" ><td height="24" ></td> </tr>
</table>
<!-- 空白表格 調整位置 //End-->

<table class="DataTb" >
  <tr class="Tr_Do">
    <td width="3%"></td>
    <td width="10%"></td>
	<td width="13%"></td>
    <td width="12%"></td>
	<td width="12%"></td>
	<td width="8%"></td>
    <td width="15%"></td>
    <? if (fn_ad()){?>
		<td width="8%"></td>
	<?}?>
	<td></td>
  </tr>
 <!--show screen-->
  <? echo $FTPList;?>
  <tr>
    <td colSpan="
	<?
		if (($HTTP_SESSION_VARS["OperateRole_Sess"]=="Super")&&($HTTP_SESSION_VARS["GroupNo_Sess"]=='0')){
			if(fn_ad()) echo "10"; else echo "9";
		}else{
			if(fn_ad()) echo "9"; else echo "8";
		}
	?>
	" align="center">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr id="Tr_P"><? include("../list_page.php");?></tr>
      </table>
	</td>
 </tr>
</table>
</form>
</body>	
</html>
